@(title:String, user: XucUser, hostAndPort: String)(implicit lang: Lang)
@import configuration.Config

@mainmanager(title) {
    <script type="text/javascript">
        var externalConfig={};
        externalConfig.ctiUseSsl = @configuration.Config.useSsl;
        externalConfig.ctiUsername = "@user.ctiUsername";
        externalConfig.ctiPassword = "@user.ctiPassword";
        externalConfig.hostAndPort = "@hostAndPort";
    </script>
    <div class="navbar navbar-fixed-top navbar-inverse">
        <div class="container">
            <div class="navbar-header">
                <a href="/ccmanager" class="navbar-brand">XiVO CCManager</a>
            </div>
            <div class="navbar-collapse collapse navbar-inverse-collapse">
                <ul class="nav navbar-nav navbar-right">
                    <li><a class="text-right" href="/ccmanagerLogout"><span class="glyphicon glyphicon-off"> @Messages("xivo.disconnect")</span></a></li>
                </ul>
                <div class="nav navbar-nav navbar-right">
                    <p class="navbar-text">@{user.ctiUsername}</p>
                    <p class="navbar-text"></p>
                </div>
            </div>
        </div>
    </div>
    <div class="container-fluid"  ng-controller="ccViewController">
        @queueSelection()
        <div class="panel-body table-responsive" ng-controller="ccQueuesController" data-showcallbacks="@{Config.showCallbacks}">
            <div class="row">
                <div class="col-md-8">
                    @changeView()
                </div>
            </div>
            <div class="panel panel-default" ng-if="isActive('global') ">
                <div class="panel-body">
                @filterAgent()
                <table ng-repeat="queue in queues | orderBy:'displayName'" class="table table-condensed" ng-show="isActive('global') ">
                    <tr>
                        <td class="queueTd">@queueData()</td>
                        <td>
                            @globalView()
                        </td>
                        <td class="queueTd"></td>
                    </tr>
                </table>
                </div>
            </div>
            <div class="panel panel-default" ng-if="isActive('group') ">
                <div class="panel-body">
                <table ng-repeat="queue in queues | orderBy:'displayName'" class="table table-condensed" ng-show="isActive('group') ">
                    <tr>
                        <td class="queueTd">@queueData()</td>
                        <td>
                            @agentGroupView()
                        </td>
                        <td class="queueTd"></td>
                    </tr>
                </table>
                </div>
            </div>
            <div class="panel panel-default" ng-show="isActive('queue') ">
                <div class="panel-body">
                    @queueView()
                </div>
            </div>
            <div class="panel panel-default" ng-controller="ccAgentsController">
                <div  ng-if="isActive('agent') " class="panel-body">
                    @agentView()
                </div>
            </div>
            <div class="panel panel-default" ng-controller="ccCallbackController">
                <div  ng-if="isActive('callback') " class="panel-body">
                    @callbackView(hostAndPort)
                </div>
            </div>
        </div>
        @footer()
    </div>
}